import 'dart:async';

import 'package:flutter/services.dart';
import 'package:flutter/widgets.dart';

class SmsRetrieverApi {
   final MethodChannel _channel = const MethodChannel('com.codepoka.sms_retriever_api');
   Future<bool> startListening({@required Function(String sms) onReceived}) async {
     _channel.setMethodCallHandler((call){
       if(call.method == "onMessageReceived"){
         onReceived?.call(call.arguments);
       }
       return;
     });
    return await _channel.invokeMethod('startListening');
  }

  Future<bool> stopListening() async {
    return await _channel.invokeMethod('stopListening');
  }

  Future<String> getAppSignature() async {
    final String smsCode = await _channel.invokeMethod('getAppSignature');
    return smsCode;
  }
}
